ar4_scan('../datasets/ar4.tsm')
a1_acf(ar4, lag=25)
p1_acf(ar4,lag=25,'partial')
ma_scan('../datasets/ma4.tsm')
a2_acf(ma, lag=25)
p2_acf(ma,lag=25,'partial')
arma_scan('../datasets/arma.tsm')
a3_acf(arma, lag=25)
p3_acf(arma,lag=25,'partial')
ar4acf_scan('../datasets/ar4acf.tsm')
ar4acf_ar4acf[1:26]
ar4p_scan('../datasets/ar4p.tsm')
ar4p_ar4p[2:26]
maacf_scan('../datasets/ma4acf.tsm')
maacf_maacf[1:26]
map_scan('../datasets/ma4p.tsm')
map_map[2:26]
armaacf_scan('../datasets/armaacf.tsm')
armaacf_armaacf[1:26]
armap_scan('../datasets/armap.tsm')
armap_armap[2:26]
x_0:25
xp_1:25
ps.options(horizontal=F, width=4.4, height=6.8, reset=T)
postscript("Fig23.ps", onefile=F, print=F)
par(mfrow = c(3, 2),mar=c(3,2,2,1)+0.1, cex=0.2)
par(mex=0.3,csi=0.11, mgp = c(1.4, 0.6, 0))
acf.plot(a1, main='(a) ACF for AR(4)')
lines(x,ar4acf, type='h', lwd=3)
acf.plot(p1, main='(b) PACF for AR(4)')
lines(xp,ar4p, type='h', lwd=3)
acf.plot(a2, main='(c) ACF for MA(4)')
lines(x,maacf, type='h',lwd=3)
acf.plot(p2, main='(d) PACF for MA(4)')
lines(xp,map, type='h',lwd=3)
acf.plot(a3, main='(e) ACF for ARMA(2,2)')
lines(x,armaacf, type='h',lwd=3)
acf.plot(p3, main='(f) PACF for ARMA(2,2)')
lines(xp,armap, type='h',lwd=3)
dev.off()

